View Issue Details

IDProjectCategoryView StatusLast Update
0005530Kali Linux[All Projects] Kali Package Bugpublic2019-06-17 08:46
Reporterpepper178Assigned Torhertzog 
PriorityhighSeverityfeatureReproducibilityalways
Status closedResolutionnot fixable 
Product Version2019.2 
Target VersionFixed in Version 
Summary0005530: Apt-get update fails on Fresh installation of 2019.2
Description@@ Fresh installation of Kali 2019.2
root@kali:/etc/apt# grep VERSION /etc/os-release
VERSION="2019.2"
VERSION_ID="2019.2"
root@kali:/etc/apt#
root@kali:/etc/apt# uname -a
Linux kali 4.19.0-kali4-amd64 0000001 SMP Debian 4.19.28-2kali1 (2019-03-18) x86_64 GNU/Linux

@@ Unmodified sources.list
# deb cdrom:[Debian GNU/Linux 2019.2 _Kali-rolling_ - Official Snapshot amd64 LIVE/INSTALL Binary 20190508-08:43]/ kali-last-snapshot contrib main non-free
#deb cdrom:[Debian GNU/Linux 2019.2 _Kali-rolling_ - Official Snapshot amd64 LIVE/INSTALL Binary 20190508-08:43]/ kali-last-snapshot contrib main non-free
deb http://http.kali.org/kali kali-rolling main non-free contrib
# deb-src http://http.kali.org/kali kali-rolling main non-free contrib
# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.

@@ Apt-get update works
@@ Apt-get produces error. I get same error on my Kali 2019.1
root@kali:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  desktop-base linux-headers-amd64 linux-image-amd64
The following packages will be upgraded:
  apt apt-utils atftpd automater bed beef-xss bind9-host curl dbus
  dbus-user-session dbus-x11 dnsutils dradis exim4-base exim4-config
  exim4-daemon-light exploitdb firefox-esr fonts-wine ghostscript
  gir1.2-gnomedesktop-3.0 gir1.2-gst-plugins-base-1.0
  gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0 gnome-desktop3-data
  gstreamer1.0-gl gstreamer1.0-plugins-base gstreamer1.0-x gvfs gvfs-backends
  gvfs-common gvfs-daemons gvfs-fuse gvfs-libs imagemagick
  imagemagick-6-common imagemagick-6.q16 intel-microcode john john-data
  kali-defaults kali-menu libapt-inst2.0 libapt-pkg5.0 libavcodec58
  libavfilter7 libavformat58 libavresample4 libavutil56 libbind9-161 libc-bin
  libc-dev-bin libc-l10n libc6 libc6-dbg libc6-dev libc6-i386 libcurl3-gnutls
  libcurl4 libdbus-1-3 libdns-export1104 libdns1104 libdw1 libegl-mesa0
  libelf1 libfaad2 libgbm1 libgl1-mesa-dri libglapi-mesa libglib2.0-0
  libglib2.0-bin libglib2.0-data libglx-mesa0 libgnome-desktop-3-17
  libgnutls-dane0 libgnutls30 libgs9 libgs9-common libgstreamer-gl1.0-0
  libgstreamer-plugins-base1.0-0 libheif1 libijs-0.35 libirs161
  libisc-export1100 libisc1100 libisccc161 libisccfg163
  libjavascriptcoregtk-4.0-18 liblwres161 libmagickcore-6.q16-6
  libmagickcore-6.q16-6-extra libmagickwand-6.q16-6 libmariadb3
  libnautilus-extension1a libnss-myhostname libnss-systemd libosmesa6
  libpam-systemd libpng16-16 libpoppler-glib8 libpoppler82 libpostproc55
  libpq5 libpython3-dev libpython3-stdlib libpython3.7 libpython3.7-dev
  libpython3.7-minimal libpython3.7-stdlib libruby2.5 libsmbclient libssh-4
  libssh-gcrypt-4 libswresample3 libswscale5 libsystemd0 libudev1 libutf8proc2
  libwavpack1 libwbclient0 libwebkit2gtk-4.0-37 libwine libwireshark-data
  libwireshark11 libwiretap8 libwscodecs2 libwsutil9 libwww-perl libxatracker2
  linux-compiler-gcc-8-x86 linux-kbuild-4.19 linux-libc-dev locales
  locales-all lsb-base lsb-release maltego manpages manpages-dev
  mariadb-client-10.3 mariadb-client-core-10.3 mariadb-common
  mariadb-server-10.3 mariadb-server-core-10.3 mercurial mercurial-common
  mesa-va-drivers mesa-vdpau-drivers metasploit-framework nautilus
  nautilus-data poppler-utils postgresql-11 postgresql-client-11 python-django
  python-django-common python-samba python3 python3-dev python3-distutils
  python3-lib2to3 python3-minimal python3-tk python3.7 python3.7-dev
  python3.7-minimal qtchooser ruby2.5 ruby2.5-dev ruby2.5-doc samba
  samba-common samba-common-bin samba-dsdb-modules samba-libs
  samba-vfs-modules smbclient sqlmap systemd systemd-sysv t50 tasksel
  tasksel-data tshark udev unattended-upgrades unzip usb.ids vim vim-common
  vim-gtk vim-gui-common vim-runtime vim-tiny wafw00f wifitap windows-binaries
  wine wine64 winexe wireshark wireshark-common wireshark-qt wpasupplicant
  xserver-common xserver-xephyr xserver-xorg-core xserver-xorg-legacy
  xserver-xorg-video-ati xserver-xorg-video-radeon xwayland xxd
212 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
Need to get 709 MB of archives.
After this operation, 54.5 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://mirror.aktkn.sg/kali kali-rolling/main amd64 libc6-dbg amd64 2.28-10 [11.5 MB]
Get:2 http://mirror.aktkn.sg/kali kali-rolling/main amd64 libc6-i386 amd64 2.28-10 [2,872 kB]
Get:3 http://http.kali.org/kali kali-rolling/main amd64 libc6-dev amd64 2.28-10 [2,691 kB]
Err:3 http://http.kali.org/kali kali-rolling/main amd64 libc6-dev amd64 2.28-10
  File has unexpected size (207016 != 2691204). Mirror sync in progress? [IP: 118.189.200.147 80]
  Hashes of expected file:
   - SHA256:43915a1d28e04039097f97c833b697b8d1703c7da9289fba7eb1834ba6fa23b0
   - SHA1:5bc455a89702e4d0fccd7b9a4b97c28604cbd3e0 [weak]
   - MD5Sum:12da3762b614aa2cf983ad3e64d4a18f [weak]
   - Filesize:2691204 [weak]
Get:4 http://http.kali.org/kali kali-rolling/main amd64 libc-dev-bin amd64 2.28-10 [275 kB]
Err:4 http://http.kali.org/kali kali-rolling/main amd64 libc-dev-bin amd64 2.28-10
  File has unexpected size (207016 != 275456). Mirror sync in progress? [IP: 118.189.200.147 80]
  Hashes of expected file:
   - SHA256:8ee8daa87132e1f2eb6a82370dd01565cf9d3b299b96d3054711f144dd8f174a
   - SHA1:1e67ef85ab21af2f366c2b3cacc2fb155e9689fa [weak]
   - MD5Sum:5df647567d1fcfda8dace515efe67320 [weak]
   - Filesize:275456 [weak]
Get:5 http://http.kali.org/kali kali-rolling/main amd64 linux-libc-dev amd64 4.19.37-2kali1 [1,645 kB]
Err:5 http://http.kali.org/kali kali-rolling/main amd64 linux-libc-dev amd64 4.19.37-2kali1
  File has unexpected size (122092 != 1645028). Mirror sync in progress? [IP: 118.189.200.147 80]
  Hashes of expected file:
   - SHA256:cef471b8d830ca99a818bf3743f56afb4f59991f628ef28b3c8ae0b5c6f55907
   - SHA1:8259d27ae83cb90c15683cfbf5b6ec2525762ef0 [weak]
   - MD5Sum:e3f20f6dbf77b0718e6564d86a54a085 [weak]
   - Filesize:1645028 [weak]
 
And the error continues...................
Steps To Reproduce@@ Apt-get produces error. I get same error on my Kali 2019.1
root@kali:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  desktop-base linux-headers-amd64 linux-image-amd64
The following packages will be upgraded:
  apt apt-utils atftpd automater bed beef-xss bind9-host curl dbus
  dbus-user-session dbus-x11 dnsutils dradis exim4-base exim4-config
  exim4-daemon-light exploitdb firefox-esr fonts-wine ghostscript
  gir1.2-gnomedesktop-3.0 gir1.2-gst-plugins-base-1.0
  gir1.2-javascriptcoregtk-4.0 gir1.2-webkit2-4.0 gnome-desktop3-data
  gstreamer1.0-gl gstreamer1.0-plugins-base gstreamer1.0-x gvfs gvfs-backends
  gvfs-common gvfs-daemons gvfs-fuse gvfs-libs imagemagick
  imagemagick-6-common imagemagick-6.q16 intel-microcode john john-data
  kali-defaults kali-menu libapt-inst2.0 libapt-pkg5.0 libavcodec58
  libavfilter7 libavformat58 libavresample4 libavutil56 libbind9-161 libc-bin
  libc-dev-bin libc-l10n libc6 libc6-dbg libc6-dev libc6-i386 libcurl3-gnutls
  libcurl4 libdbus-1-3 libdns-export1104 libdns1104 libdw1 libegl-mesa0
  libelf1 libfaad2 libgbm1 libgl1-mesa-dri libglapi-mesa libglib2.0-0
  libglib2.0-bin libglib2.0-data libglx-mesa0 libgnome-desktop-3-17
  libgnutls-dane0 libgnutls30 libgs9 libgs9-common libgstreamer-gl1.0-0
  libgstreamer-plugins-base1.0-0 libheif1 libijs-0.35 libirs161
  libisc-export1100 libisc1100 libisccc161 libisccfg163
  libjavascriptcoregtk-4.0-18 liblwres161 libmagickcore-6.q16-6
  libmagickcore-6.q16-6-extra libmagickwand-6.q16-6 libmariadb3
  libnautilus-extension1a libnss-myhostname libnss-systemd libosmesa6
  libpam-systemd libpng16-16 libpoppler-glib8 libpoppler82 libpostproc55
  libpq5 libpython3-dev libpython3-stdlib libpython3.7 libpython3.7-dev
  libpython3.7-minimal libpython3.7-stdlib libruby2.5 libsmbclient libssh-4
  libssh-gcrypt-4 libswresample3 libswscale5 libsystemd0 libudev1 libutf8proc2
  libwavpack1 libwbclient0 libwebkit2gtk-4.0-37 libwine libwireshark-data
  libwireshark11 libwiretap8 libwscodecs2 libwsutil9 libwww-perl libxatracker2
  linux-compiler-gcc-8-x86 linux-kbuild-4.19 linux-libc-dev locales
  locales-all lsb-base lsb-release maltego manpages manpages-dev
  mariadb-client-10.3 mariadb-client-core-10.3 mariadb-common
  mariadb-server-10.3 mariadb-server-core-10.3 mercurial mercurial-common
  mesa-va-drivers mesa-vdpau-drivers metasploit-framework nautilus
  nautilus-data poppler-utils postgresql-11 postgresql-client-11 python-django
  python-django-common python-samba python3 python3-dev python3-distutils
  python3-lib2to3 python3-minimal python3-tk python3.7 python3.7-dev
  python3.7-minimal qtchooser ruby2.5 ruby2.5-dev ruby2.5-doc samba
  samba-common samba-common-bin samba-dsdb-modules samba-libs
  samba-vfs-modules smbclient sqlmap systemd systemd-sysv t50 tasksel
  tasksel-data tshark udev unattended-upgrades unzip usb.ids vim vim-common
  vim-gtk vim-gui-common vim-runtime vim-tiny wafw00f wifitap windows-binaries
  wine wine64 winexe wireshark wireshark-common wireshark-qt wpasupplicant
  xserver-common xserver-xephyr xserver-xorg-core xserver-xorg-legacy
  xserver-xorg-video-ati xserver-xorg-video-radeon xwayland xxd
212 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
Need to get 709 MB of archives.
After this operation, 54.5 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://mirror.aktkn.sg/kali kali-rolling/main amd64 libc6-dbg amd64 2.28-10 [11.5 MB]
Get:2 http://mirror.aktkn.sg/kali kali-rolling/main amd64 libc6-i386 amd64 2.28-10 [2,872 kB]
Get:3 http://http.kali.org/kali kali-rolling/main amd64 libc6-dev amd64 2.28-10 [2,691 kB]
Err:3 http://http.kali.org/kali kali-rolling/main amd64 libc6-dev amd64 2.28-10
  File has unexpected size (207016 != 2691204). Mirror sync in progress? [IP: 118.189.200.147 80]
  Hashes of expected file:
   - SHA256:43915a1d28e04039097f97c833b697b8d1703c7da9289fba7eb1834ba6fa23b0
   - SHA1:5bc455a89702e4d0fccd7b9a4b97c28604cbd3e0 [weak]
   - MD5Sum:12da3762b614aa2cf983ad3e64d4a18f [weak]
   - Filesize:2691204 [weak]
Get:4 http://http.kali.org/kali kali-rolling/main amd64 libc-dev-bin amd64 2.28-10 [275 kB]
Err:4 http://http.kali.org/kali kali-rolling/main amd64 libc-dev-bin amd64 2.28-10
  File has unexpected size (207016 != 275456). Mirror sync in progress? [IP: 118.189.200.147 80]
  Hashes of expected file:
   - SHA256:8ee8daa87132e1f2eb6a82370dd01565cf9d3b299b96d3054711f144dd8f174a
   - SHA1:1e67ef85ab21af2f366c2b3cacc2fb155e9689fa [weak]
   - MD5Sum:5df647567d1fcfda8dace515efe67320 [weak]
   - Filesize:275456 [weak]
Get:5 http://http.kali.org/kali kali-rolling/main amd64 linux-libc-dev amd64 4.19.37-2kali1 [1,645 kB]
Err:5 http://http.kali.org/kali kali-rolling/main amd64 linux-libc-dev amd64 4.19.37-2kali1
  File has unexpected size (122092 != 1645028). Mirror sync in progress? [IP: 118.189.200.147 80]
  Hashes of expected file:
   - SHA256:cef471b8d830ca99a818bf3743f56afb4f59991f628ef28b3c8ae0b5c6f55907
   - SHA1:8259d27ae83cb90c15683cfbf5b6ec2525762ef0 [weak]
   - MD5Sum:e3f20f6dbf77b0718e6564d86a54a085 [weak]
   - Filesize:1645028 [weak]
 
And the error continues...................
Additional Information I get same error on my Kali 2019.1

Activities

pepper178

2019-06-11 02:08

reporter   ~0010668

I'm sorry. I can't find option to edit post. Title should read: Apt-get update works, but Apt-get upgrade fails"

rhertzog

2019-06-13 10:42

administrator   ~0010689

Do you still have the problem?

You have been redirected to mirror.aktkn.sg which is a mirror that we added recently. I tried to use the mirror and it worked fine for me. I found a small configuration error in the mirror and I asked the mirror admin to fix it. But I don't think that this configuration error explains the behavior that you saw. It looks like more some intermediary proxy-cache breaking the download of some files or some network connectivity issue where some files have only been partly downloaded.

pepper178

2019-06-15 15:41

reporter   ~0010696

Thank you rhertzog for responding.
I think i found the problem

Although my "sources.list" only included >> deb http://http.kali.org/kali kali-rolling main non-free contrib >> The "apt-get" process was redirected to other other sites and my home-PC AV (AVG Internet Security) blocked it in real-time.
15/6/2019 11:00:46 PM http://mirror.aktkn.sg/kali/pool/main/s/sbd/sbd_1.37-1kali3_amd64.deb|>data.tar.xz|>data.tar|>.\usr\share\windows-resources\sbd\sbd.exe [L] Win32:Malware-gen (0)
15/6/2019 11:00:47 PM http://mirror.aktkn.sg/kali/pool/main/w/webshells/webshells_1.1%2bkali3_all.deb|>data.tar.xz|>data.tar|>.\usr\share\webshells\asp\cmd-asp-5.1.asp [L] ASP:Ace-W (0)
15/6/2019 11:01:03 PM http://mirror.aktkn.sg/kali/pool/non-free/w/windows-binaries/windows-binaries_0.6.5_all.deb|>data.tar.xz|>data.tar|>.\usr\share\windows-resources\binaries\enumplus\enum.exe [L] Win32:Adware-gen [Adw] (0)
15/6/2019 11:10:14 PM http://mirror.aktkn.sg/kali/pool/main/s/sbd/sbd_1.37-1kali3_amd64.deb|>data.tar.xz|>data.tar|>.\usr\share\windows-resources\sbd\sbd.exe [L] Win32:Malware-gen (0)

I confirmed by turning off my AV and "apt-get upgrade" completed without error.
My office laptop running Kali2019.1 and kali2019.2 must have met the same problem, but Sophos set up in office did not pop out "Blocked Alert" hence i was not aware it's a "Malware" issue.
Can we resolve this issue without turning off AV?

rhertzog

2019-06-17 08:46

administrator   ~0010701

I'm sorry, we can't help with those problems. Get in touch with your AV vendor or your system administrators.

Issue History

Date Modified Username Field Change
2019-06-11 01:56 pepper178 New Issue
2019-06-11 02:08 pepper178 Note Added: 0010668
2019-06-13 10:42 rhertzog Note Added: 0010689
2019-06-13 10:42 rhertzog Assigned To => rhertzog
2019-06-13 10:42 rhertzog Status new => feedback
2019-06-15 15:41 pepper178 Note Added: 0010696
2019-06-15 15:41 pepper178 Status feedback => assigned
2019-06-17 08:46 rhertzog Status assigned => closed
2019-06-17 08:46 rhertzog Resolution open => not fixable
2019-06-17 08:46 rhertzog Note Added: 0010701